aboutsummaryrefslogtreecommitdiff
path: root/sys
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-08-17 16:55:48 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-08-17 16:55:48 +0000
commite7d4883a92dd1f3b5f9369c7a127b86f286017f3 (patch)
tree54ac86c9bb3e079365880e5670b55b948ba98fd7 /sys
parentf404cd5d7f41f84c28342d32e3ee555f7867d1be (diff)
downloadslackbuilds-e7d4883a92dd1f3b5f9369c7a127b86f286017f3.tar.gz
slackbuilds-e7d4883a92dd1f3b5f9369c7a127b86f286017f3.tar.bz2
added simplepkg
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1348 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sys')
-rwxr-xr-xsys/apps/simplepkg/simplepkg.SlackBuild73
1 files changed, 73 insertions, 0 deletions
diff --git a/sys/apps/simplepkg/simplepkg.SlackBuild b/sys/apps/simplepkg/simplepkg.SlackBuild
new file mode 100755
index 00000000..e58191e5
--- /dev/null
+++ b/sys/apps/simplepkg/simplepkg.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/bash
+#
+# simplepkg.SlackBuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# simplepkg.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild script for simplepkg
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building simplepkg are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="simplepkg"
+ARCH="noarch"
+VERSION=${VERSION:=0.5.1}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41;
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+svn checkout svn://slack.sarava.org/simplepkg/tags/$VERSION simplepkg-$VERSION || exit $ERROR_VCS
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+./simplepkg.SlackBuild || exit $ERROR_MAKE
+
+mv $PACKAGE-$VERSION-$ARCH-$BUILD.tgz $REPOS/
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+